Bug 204726 - Problem in the Inscript Keymap for or_IN
Problem in the Inscript Keymap for or_IN
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-31 04:54 EDT by subhransu behera
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 04:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
or-inscript.mim file - incorrect version (2.93 KB, text/plain)
2006-09-01 05:14 EDT, Mayank Jain
no flags Details
Modified or-Inscript file (2.93 KB, application/octet-stream)
2006-09-01 06:44 EDT, subhransu behera
no flags Details

  None (edit)
Description subhransu behera 2006-08-31 04:54:25 EDT
Description of problem:

Wrong keymap for in Oriya Inscript.

Steps to Reproduce:
1. Open gedit, press CTRL + SPACE
2. Select Oriya -> Inscript from the list
3. Wrong keymap in postion 'r', 'b', '#', '='
  
Expected results:

They should produce the character as shown here:

http://www.tdil.mit.gov.in/isciichart.pdf
Comment 1 subhransu behera 2006-08-31 04:58:02 EDT
Mayank,

Please send me the latest or-inscript.mim file that you have with you.

I will modify it accodingly.
Comment 2 Satyabrata Maitra 2006-08-31 05:28:22 EDT
Some Info for this bug :-

1. If press letter 'r' its showing the char whose unicode value is : U0B08 But..
   It should show the char whose Unicode value is : U0B40

2. Letter 'r' and 'R' is showing same char right now, whereas 'r' should show 
   U0B40 and 'R' should show U0B08.

3. If press letter 'b', its showing the char whose unicode combination is : 
   U0B2C+U0B4D. Whereas it show the char with the Unicode : U0B71.

4. If press <shift>+3 (#), its showing char with unicode : U0B3D.. whereas it  
   should show the char with the Unicode Combination : U0B4D+U0B30 (RA Matra).

5. If press '=', its showing '=', whereas it should show the char with unicode 
   value : U0B43.
Comment 3 Mayank Jain 2006-09-01 05:14:29 EDT
Created attachment 135365 [details]
or-inscript.mim file - incorrect version

Subhranshu, please modify the file & ping me :)
Thanks...
Comment 4 subhransu behera 2006-09-01 06:44:00 EDT
Created attachment 135368 [details]
Modified or-Inscript file

Hi Mayank

I have modified the file. Please rebuild it and let me know once you are done
:)

And also do check the header field. Put Red Hat Inc. instead of Sun !

Cheers,
Subhu
Comment 5 Mayank Jain 2006-09-06 07:49:45 EDT
New build sent to rawhide. Please check.
Comment 6 subhransu behera 2006-09-06 23:48:14 EDT
Hi Mayank

It is working fine. Thanks :-)
Comment 7 Nicole Dai 2006-09-29 04:41:23 EDT
Confirmed that it works fine in m17n-db-oriya-1.3.3-27.fc6.

Note You need to log in before you can comment on or make changes to this bug.